[SRU] New stable release 2.48.1

Bug #1581439 reported by Iain Lane on 2016-05-13
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
glib2.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Iain Lane

Bug Description

[ Description ]

Upstream have released a new bugfix release.

[ Changes ]

From NEWS:

Bugs fixed:
 731988 glocalfile: Avoid a potential NULL pointer dereference
 747107 GVariant varargs documentation: g_variant_get() example
 747478 g_system_thread_set_name() is not implemented for gthread-win32
 748474 g_get_language_names() is not thread-safe
 748530 gthread: W32 implementation of g_get_num_processors() has lame fallback
 748806 GVariant: Better introduction to the concepts and its uses
 749606 tests: always remove app.desktop
 758174 Fix documentation typos
 758738 Usage of GType properties causes crashes due to gulong/gpointer mismatch
 762994 Race condition in GIO/AppFileChooser crashes Firefox/Gtk3
 763379 codegen: Add support for g_autoptr to gdbus-codegen–generated objects
 763821 build: Also dist Systemtap files always for gobject/
 764092 gstrfuncs: Document the behaviour of g_strjoinv()
 764574 build: Fix all statfs() tests failing
 764575 tests: Fix compilation errors due to Y2K format problems
 764685 GApplication documentation about handling command-line options is confusing
 764754 '-' in application id: unbreak bus activation and notifications
 765959 socket: set fd field to -1 after closing socket
 765990 Visual Studio: Define inline only when necessary

Translations updated:
 Basque language
 Catalan
 Vietnamese
 zh_CN

[ QA, testing, regression potential ]

Under the GNOME MRE, you can believe all bugs upstream says are fixed are really fixed. Just test the system and make sure there are no regressions (e.g. look at errors.ubuntu.com).

Iain Lane (laney) on 2016-05-13
Changed in glib2.0 (Ubuntu):
status: New → Fix Released
Changed in glib2.0 (Ubuntu Xenial):
status: New → In Progress
assignee: nobody → Iain Lane (laney)

Hello Iain, or anyone else affected,

Accepted glib2.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/glib2.0/2.48.1-1~ubuntu16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in glib2.0 (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Bartosz Kosiorek (gang65) wrote :

It is working perfectly for me after install glib2.0 from proposed.
I tested it for several days.

tags: added: verification-done
removed: verification-needed

The verification of the Stable Release Update for glib2.0 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glib2.0 - 2.48.1-1~ubuntu16.04.1

---------------
glib2.0 (2.48.1-1~ubuntu16.04.1) xenial; urgency=medium

  * No-change backport of this stable release from unstable to 16.04 (LP:
    #1581439)

glib2.0 (2.48.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop obsolete Conflicts, Breaks and Replaces from pre-wheezy.
  * Drop obsolete preinst maintainer scripts which cleaned up the
    /usr/share/doc symlinks.
  * Drop version requirement for pkg-config dependency. (Closes: #734479)

 -- Iain Lane <email address hidden> Fri, 13 May 2016 11:08:45 +0100

Changed in glib2.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers